<?php

/*
=====================================================================

  프로젝트 이름 : 피리 웹프로그램

  만든사람 : 피리 PIREE ( piree1977@gmail.com )

  홈페이지 : www.piree.kr

  작성날짜 : 2020년 07월 24일 금요일 오전 01시 44분 - 날씨 흐림, 18, 18, 22, 20 / 최고 좋음, 2, 0

  저 작 권 : Copyright ⓒ 2014-2023 피리 piree.kr All right reserved
            그누보드 외에 추가된 소스는~
            만든사람의 허락없이 무단으로 사용할수 없습니다.
            사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
            http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 > 피리 기본 관리 > 라이브러리 > INDEX
=====================================================================

//*****************************************************************
//** SAM_SOSS
//*****************************************************************

*/

/*
  ▣ 작업자 : 피리 PIREE ( piree1977@gmail.com )
  ▣ 작업일시 : 2020년 07월 24일 금요일 오전 05시 23분 - 날씨 
  ▣ 작업내용 : 
*/

  IF ( !defined('_GNUBOARD_') )                  EXIT;

  function get_write_table($bo_table)
  {

      global $g5;

      IF ( !eregi('^'. $g5['write_prefix'], $bo_table) )
      {
          $bo_table = $g5['write_prefix'].$bo_table;
      }

      return $bo_table;

  }

  function get_board_link($write_file, $bo_table, $wr_id=0, $region_n=0, $cate_n=0, $mode='')
  {

      $fnc_link_s = "";

      IF ( $bo_table )
      {

          IF ( $write_file != 'board' && $write_file != 'write' )
          {
              $write_file = 'board';
          }

          $fnc_link_s = G5_BBS_URL .'/'. $write_file .'.php?bo_table='. $bo_table;

      }

      IF ( $wr_id > 0 )
      {

          IF ( $write_file == 'write' )
          {
              $fnc_link_s.= '&w=u';
          }

          $fnc_link_s.= '&wr_id='. $wr_id;

      }

      IF ( $region_n > 0 )
      {

          $fnc_link_s.= '&region_n='. $region_n;

      }

      IF ( $cate_n > 0 )
      {

          $fnc_link_s.= '&cate_n='. $cate_n;

      }

      IF ( $mode != '' )
      {

          $fnc_link_s.= '&mode='. $mode;

      }

      return $fnc_link_s;

  }

  function get__board_link($write_file, $bo_table, $wr_id=0, $func_var_a)
  {

      $fnc_link_s = "";

      IF ( $bo_table )
      {

          IF ( $write_file != 'board' && $write_file != 'write' )
          {
              $write_file = 'board';
          }

          $fnc_link_s = G5_BBS_URL .'/'. $write_file .'.php?bo_table='. $bo_table;

      }

      IF ( $wr_id > 0 )
      {

          IF ( $write_file == 'write' )
          {
              $fnc_link_s.= '&w=u';
          }

          $fnc_link_s.= '&wr_id='. $wr_id;

      }

      IF ( count($func_var_a) > 0 )
      {

          WHILE ( list($key, $val) = each($func_var_a) )
          {

              IF ( $key && $val )
              {

                  $fnc_link_s.= '&'. $key .'='. $val;

              }

          }

      }

      return $fnc_link_s;

  }

  function get_write_link($bo_table, $wr_id = 0, $region_n = 0, $cate_n = 0)
  {

      $fnc_link_s = "";

      IF ( $bo_table )
      {

          $fnc_link_s = G5_BBS_URL .'/board.php?bo_table='. $bo_table;

      }

      IF ( $wr_id > 0 )
      {

          $fnc_link_s.= '&wr_id='. $wr_id;

      }

      IF ( $region_n > 0 )
      {

          $fnc_link_s.= '&region_n='. $region_n;

      }

      IF ( $cate_n > 0 )
      {

          $fnc_link_s.= '&cate_n='. $cate_n;

      }

      return $fnc_link_s;

  }

?>